/* ==========================================================================
  HEADER
  ===========================================================================*/

.header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  min-width: 320px;
  z-index: z(header);
  background-color: #fff;

  .container {
    display: flex;
    align-items: center;
    max-width: 1366px;
  }

  + .wrapper {
    padding-top: 145px;

    @include mq('tablet', 'max') {
      padding-top: 129px;
    }
  }
}

/* TOP */

.header__top {
  padding-top: 10px;
  padding-bottom: 10px;
  background-color: $color-gray-light;
}

.header__box {
  display: flex;
  align-items: center;
}

.header__box_left {
  margin-right: auto;
}

.header__box_right {
  margin-left: auto;
}

/* PHONE */

.header__phone {
  display: flex;
  flex-direction: column;
  margin-right: 38px;
  font-size: 24px;
  color: $color-gray-dark;;
  font-weight: $font-weight-regular;
  text-decoration: none;
  text-align: right;

  &:hover {
    color: $color-gray-dark;
  }

  @include mq('laptop', 'max') {
    font-size: 18px;
  }

  @include mq('tablet', 'max') {
    margin-right: 15px;
  }
}

/* SOCIAL LINKS */

.social-list {
  display: flex;

  .icon {
    width: 20px;
    height: 20px;

    @include mq('tablet', 'max') {
      width: 16px;
      height: 16px;
    }
  }

  a {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 8px;
    padding-right: 8px;
    color:  $color-gray-dark;
    transition: .3s ease;

    &:hover {
      color: $color-primary;
      transition: .3s ease;
    }


    @include mq('tablet', 'max') {
      padding: 7px;
    }
  }
}

/* BOTTOM */

.header__bottom {
  padding-top: 15px;
  padding-bottom: 15px;
}

.header__logo {
  flex-shrink: 0;
  margin-right: auto;

  @include mq("tablet", "max") {

    .logo__caption {
      display: none;
    }
  }
}

.header__button-order {
  margin-left: 30px;

  @include mq('tablet', 'max') {
    margin-left: 15px;
  }

  @include mq('tablet-small', 'max') {
    display: none;
  }
}

body {

  &.menu-open {

    @include mq('desktop', 'max') {
      overflow: hidden;
    }
  }
}


/* Button burger */
.header__button-burger {
  margin-left: 20px;

  @include mq('desktop') {
    display: none;
  }

  @include mq('tablet', 'max') {
    margin-left: 15px;
  }
}

/* end header */
